package org.processmining.ptconversions.yawl;

public class DomainConfiguration{
	String XML;
	
	public DomainConfiguration(String fileName){
		initialise(fileName);
	}
	
	public String getXML(){
		return XML;
	}
	
	public void append(String xml){
		XML += xml;
	}
	
	public void initialise(String name){
		XML = "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>\n";
		XML += "<dcl:DCL xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" author=\"ProM conversion PlugIn ProcessTree -> YAWL\" name=\"" + name + "\" reference=\"www.processconfiguration.com\" xsi:schemaLocation=\"http://www.processconfiguration.com/DCL http://www.processconfiguration.com/schemas/DCL.xsd\" xmlns:dcl=\"http://www.processconfiguration.com/DCL\">\n";
	}
	
	public void finalise(){
		XML += "</dcl:DCL>\n";
	}
}
